org.apache.cassandra.io.util

## Class DataIntegrityMetadata.FileDigestValidator

- java.lang.Object
- - org.apache.cassandra.io.util.DataIntegrityMetadata.FileDigestValidator

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

Enclosing class:
  DataIntegrityMetadata

    public static class DataIntegrityMetadata.FileDigestValidator
    extends java.lang.Object
    implements java.io.Closeable

### Constructor Summary

Constructors
Constructor and Description
`FileDigestValidator(Descriptor descriptor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileDigestValidator

    public FileDigestValidator(Descriptor descriptor)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### validate

    public void validate()
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`